Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global revision 20230201
Name:           tack
Version:        1.09
Release:        alt2_16.%{revision}
Summary:        Terminfo action checker

License:        GPL-2.0-only
URL:            https://invisible-island.net/ncurses/tack.html
Source0:        https://invisible-mirror.net/archives/ncurses/current/tack-%{version}-%{revision}.tgz

BuildRequires:  gcc libncurses++-devel libncurses++w-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
Source44: import.info

%description
The tack program has three purposes: to help you build a new terminfo
entry describing an unknown terminal, to test the correctness of an
existing entry, and to develop the correct pad timings needed to ensure
that screen updates don't fall behind the incoming data stream.

%prep
%setup -q -n %{name}-%{version}-%{revision}

%build
%configure --with-ncurses
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc AUTHORS CHANGES COPYING HISTORY README
%{_bindir}/tack
%{_mandir}/man1/tack.1*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_16.20230201
- update to new release by fcimport

* Fri Dec 01 2023 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_15.20230201
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_14.20220528
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_13.20220528
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_12.20220528
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_11.20220528
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_10.20210619
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_9.20210619
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_8.20210619
- update to new release by fcimport

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_6.20210324
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.09-alt2_5.20201128
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.09-alt2_4.20201128
- update to new release by fcimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1_4.20201128
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1_3.20200220
- update to new release by fcimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1_2.20200220
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1_1.20200202
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1_7.20190721
- new version

